org.apache.catalina.tribes.group

## Class GroupChannel.InterceptorIterator

- java.lang.Object
- - org.apache.catalina.tribes.group.GroupChannel.InterceptorIterator

- All Implemented Interfaces:
    Iterator<ChannelInterceptor>
  Enclosing class:
    GroupChannel

      public static class GroupChannel.InterceptorIterator
      extends Object
      implements Iterator<ChannelInterceptor>

  Title: Interceptor Iterator

  Description: An iterator to loop through the interceptors in a channel

  Version:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupChannel.InterceptorIterator(ChannelInterceptor start, ChannelInterceptor end)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `ChannelInterceptor` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupChannel.InterceptorIterator

          public GroupChannel.InterceptorIterator(ChannelInterceptor start,
                                          ChannelInterceptor end)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<ChannelInterceptor>`

    - #### next

          public ChannelInterceptor next()

      Specified by:
        `next` in interface `Iterator<ChannelInterceptor>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<ChannelInterceptor>`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.